import Listr from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { KinesisStreamState } from '../states/kinesis-stream.state';
export declare type DecreaseKinesisStreamsShardsState = KinesisStreamState[];
export declare class DecreaseKinesisStreamsShardsTrick implements TrickInterface<DecreaseKinesisStreamsShardsState> {
    private ksClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getDisplayName(): string;
    canBeConcurrent(): boolean;
    conserve(subListr: Listr, dryRun: boolean): Promise<DecreaseKinesisStreamsShardsState>;
    restore(subListr: Listr, dryRun: boolean, originalState: DecreaseKinesisStreamsShardsState): Promise<void>;
    private conserveStreamShards;
    private restoreStreamShards;
    private getCurrentState;
    private listKinesisStreamsNames;
    private getStreamSummary;
}
